# Local database

- [Delete all local Data](https://docs.apphive.io/reference/funciones/local-storage-e/delete-all-local-data.md): Allows you to delete all information from all records stored in the local database
- [Delete local storage data](https://docs.apphive.io/reference/funciones/local-storage-e/delete-local-storage-data.md): Allows you to delete an entire record collection or delete specific records from a collection
- [Get local storage data](https://docs.apphive.io/reference/funciones/local-storage-e/get-local-storage-data.md): Allows information queries to be made to the local database on the device
- [Set app value](https://docs.apphive.io/reference/funciones/local-storage-e/set-app-value.md): The Set app value function allows you to add a permanent or temporary value to a global variable in the application, this variable will be available for all screens within the application. The
- [Set data DB direct](https://docs.apphive.io/reference/funciones/local-storage-e/set-data-db-direct.md): The Set data DB direct function allows you to add information to a record directly.‌ Compared to the Save in DB function, this function only allows you to add information to a single field
- [Save local storage data](https://docs.apphive.io/reference/funciones/local-storage-e/save-local-storage-data.md): Allows saving information in the local base from the device in which the application is used
- [Set page Value](https://docs.apphive.io/reference/funciones/local-storage-e/set-page-value.md): The Set Page Value function allows you to assign a value to local variables and be used to store a value that will be used at a later time.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/local-storage-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
